<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_91) on Fri Dec 07 15:00:36 GMT 2018 -->
<title>R-Index</title>
<meta name="date" content="2018-12-07">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="R-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../mapping/package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-13.html">Prev Letter</a></li>
<li><a href="index-15.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-14.html" target="_top">Frames</a></li>
<li><a href="index-14.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">G</a>&nbsp;<a href="index-6.html">H</a>&nbsp;<a href="index-7.html">I</a>&nbsp;<a href="index-8.html">K</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">O</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">T</a>&nbsp;<a href="index-17.html">U</a>&nbsp;<a href="index-18.html">V</a>&nbsp;<a href="index-19.html">X</a>&nbsp;<a name="I:R">
<!--   -->
</a>
<h2 class="title">R</h2>
<dl>
<dt><span class="memberNameLink"><a href="../mapping/Key.html#randomise--">randomise()</a></span> - Method in class mapping.<a href="../mapping/Key.html" title="class in mapping">Key</a></dt>
<dd>
<div class="block">Sets the key as randomised.</div>
</dd>
<dt><span class="memberNameLink"><a href="../mapping/TreeDataStructure.html#remove-T-">remove(T)</a></span> - Method in class mapping.<a href="../mapping/TreeDataStructure.html" title="class in mapping">TreeDataStructure</a></dt>
<dd>
<div class="block">Removes an element from the tree.</div>
</dd>
<dt><span class="memberNameLink"><a href="../mapping/TreeNode.html#removeChild-T-">removeChild(T)</a></span> - Method in class mapping.<a href="../mapping/TreeNode.html" title="class in mapping">TreeNode</a></dt>
<dd>
<div class="block">Removes a child element from the list of children.</div>
</dd>
<dt><span class="memberNameLink"><a href="../mapping/Key.html#removeCustomDisplay--">removeCustomDisplay()</a></span> - Method in class mapping.<a href="../mapping/Key.html" title="class in mapping">Key</a></dt>
<dd>
<div class="block">Removes any display associated with the key.</div>
</dd>
<dt><span class="memberNameLink"><a href="../mapping/Presenter.html#removeDisplay-java.lang.String-java.lang.String-">removeDisplay(String, String)</a></span> - Method in class mapping.<a href="../mapping/Presenter.html" title="class in mapping">Presenter</a></dt>
<dd>
<div class="block">Remove any custom displays on the specified key.</div>
</dd>
<dt><span class="memberNameLink"><a href="../mapping/MainGUI.html#removeKeyDisplay-java.lang.String-">removeKeyDisplay(String)</a></span> - Method in class mapping.<a href="../mapping/MainGUI.html" title="class in mapping">MainGUI</a></dt>
<dd>
<div class="block">Removes the display from a key and restores it to the default</div>
</dd>
<dt><span class="memberNameLink"><a href="../mapping/Presenter.html#renameKeymap-java.lang.String-java.lang.String-">renameKeymap(String, String)</a></span> - Method in class mapping.<a href="../mapping/Presenter.html" title="class in mapping">Presenter</a></dt>
<dd>
<div class="block">Renames a key map if the name is available</div>
</dd>
<dt><span class="memberNameLink"><a href="../mapping/KeyMap.html#reset--">reset()</a></span> - Method in class mapping.<a href="../mapping/KeyMap.html" title="class in mapping">KeyMap</a></dt>
<dd>
<div class="block">Restores all keys to their default display.</div>
</dd>
<dt><span class="memberNameLink"><a href="../mapping/Presenter.html#resetKey-java.lang.String-java.lang.String-">resetKey(String, String)</a></span> - Method in class mapping.<a href="../mapping/Presenter.html" title="class in mapping">Presenter</a></dt>
<dd>
<div class="block">Resets a key.</div>
</dd>
<dt><span class="memberNameLink"><a href="../mapping/Presenter.html#resetKeymap-java.lang.String-">resetKeymap(String)</a></span> - Method in class mapping.<a href="../mapping/Presenter.html" title="class in mapping">Presenter</a></dt>
<dd>
<div class="block">Completely resets a keymap.</div>
</dd>
<dt><span class="memberNameLink"><a href="../mapping/Key.html#restoreToDefault--">restoreToDefault()</a></span> - Method in class mapping.<a href="../mapping/Key.html" title="class in mapping">Key</a></dt>
<dd>
<div class="block">Removes all modification from the key.</div>
</dd>
<dt><span class="memberNameLink"><a href="../mapping/XmlSerialiser.html#run--">run()</a></span> - Method in class mapping.<a href="../mapping/XmlSerialiser.html" title="class in mapping">XmlSerialiser</a></dt>
<dd>
<div class="block">Creates the mapping XML file in the output folder of the project.</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">G</a>&nbsp;<a href="index-6.html">H</a>&nbsp;<a href="index-7.html">I</a>&nbsp;<a href="index-8.html">K</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">O</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">T</a>&nbsp;<a href="index-17.html">U</a>&nbsp;<a href="index-18.html">V</a>&nbsp;<a href="index-19.html">X</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../mapping/package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-13.html">Prev Letter</a></li>
<li><a href="index-15.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-14.html" target="_top">Frames</a></li>
<li><a href="index-14.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
